package com.alterdekim.hearthhack.parser;


import lombok.Data;
import lombok.extern.slf4j.Slf4j;
import org.springframework.core.serializer.Deserializer;
import org.springframework.core.serializer.Serializer;

import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;

@Slf4j
@Data
public class BattleNetSerializerDeserializer implements Serializer<byte[]>, Deserializer<byte[]> {


    @Override
    public byte[] deserialize(InputStream inputStream) throws IOException {
        return inputStream.readAllBytes();
    }

    @Override
    public void serialize(byte[] object, OutputStream outputStream) throws IOException {
        outputStream.write(object);
    }
}