package com.alterdekim.services;

import com.alterdekim.Connection;
import com.alterdekim.hearthhack.util.BattleNetPacket;
import com.alterdekim.hearthhack.util.Compute32;

public abstract class Service {

    private final int SERVICE_HASH;
    private int SERVICE_ID;

    public Service( String export_name ) {
        this.SERVICE_HASH = Compute32.Hash(export_name);
    }

    public int getSERVICEID() {
        return this.SERVICE_ID;
    }

    public void setSERVICE_ID(int SERVICE_ID) {
        this.SERVICE_ID = SERVICE_ID;
    }

    public int getSERVICE_HASH() {
        return SERVICE_HASH;
    }

    public abstract void process(BattleNetPacket packet, Connection conn) throws Exception;
}
